## ganv 0~svn4142~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import waflib.Options as Options
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
GANV_VERSION       = '1.2.0'
GANV_MAJOR_VERSION = '1'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Ganv as of 1.0.0 uses the same version number for both library and package
GANV_LIB_VERSION = GANV_VERSION

# Variables for 'waf dist'
APPNAME = 'ganv'
VERSION = GANV_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--no-graphviz', action='store_true', default=False,
                   dest='no_graphviz',
                   help='Do not compile with graphviz support')
    opt.add_option('--no-nls', action='store_true', default=False, dest='no_nls',
                   help='Disable i18n (native language support)')
    opt.add_option('--gir', action='store_true', default=False, dest='gir',
                   help='Build GObject introspection data')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    conf.line_just = 44
    autowaf.display_header('Ganv Configuration')

    conf.env.append_unique('CFLAGS', '-std=c99')
    conf.env['BUILD_TESTS'] = Options.options.build_tests

    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK',
                      atleast_version='2.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM',
                      atleast_version='2.10.0', mandatory=True)

    if Options.options.gir:
        autowaf.check_pkg(conf, 'gobject-introspection-1.0',
                          uselib_store='GIR', mandatory=False)

    if not Options.options.no_graphviz:
        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH',
                          atleast_version='2.8', mandatory=False)

    if not Options.options.no_nls:
        autowaf.check_header(conf, 'c', 'libintl.h', 'ENABLE_NLS', mandatory=False)

    conf.env['LIB_GANV'] = ['ganv-%s' % GANV_MAJOR_VERSION]

    conf.write_config_header('ganv_config.h', remove=False)

    autowaf.display_msg(conf, "Auto-arrange", conf.is_defined('HAVE_AGRAPH'))
    autowaf.display_msg(conf, "Native language support", conf.is_defined('ENABLE_NLS'))
    autowaf.display_msg(conf, "GObject introspection", conf.is_defined('HAVE_GIR'))
    autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
    print('')

ganv_source = [
    'src/Canvas.cpp',
    'src/Port.cpp',
    'src/box.c',
    'src/canvas-base.c',
    'src/circle.c',
    'src/edge.c',
    'src/ganv-marshal.c',
    'src/group.c',
    'src/module.c',
    'src/node.c',
    'src/port.c',
    'src/text.c',
    'src/widget.c'
]

def build(bld):
    # Headers
    includedir = '${INCLUDEDIR}/ganv-%s/ganv' % GANV_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('ganv/*.h*'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'GANV', GANV_VERSION, GANV_MAJOR_VERSION,
                     'AGRAPH GLIBMM ART',
                     {'GANV_MAJOR_VERSION' : GANV_MAJOR_VERSION})

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --header ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.h')

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --body ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.c')

    # Library
    obj = bld(features        = 'c cshlib cxx cxxshlib',
              export_includes = ['.'],
              source          = ganv_source,
              includes        = ['.', './src'],
              name            = 'libganv',
              target          = 'ganv-%s' % GANV_MAJOR_VERSION,
              uselib          = 'GTKMM AGRAPH ART',
              vnum            = GANV_LIB_VERSION,
              install_path    = '${LIBDIR}')

    # Benchmark program (C++)
    obj = bld(features     = 'cxx cxxprogram',
              source       = 'src/ganv_bench.cpp',
              includes     = ['.', './src'],
              use          = 'libganv',
              use_lib      = 'GTKMM',
              target       = 'src/ganv_bench')

    if bld.env['BUILD_TESTS']:
        # Static library for test program
        obj = bld(features     = 'c cstlib',
                  source       = ganv_source,
                  includes     = ['.', './src'],
                  name         = 'libganv_profiled',
                  target       = 'ganv_profiled',
                  uselib       = 'GTKMM AGRAPH ART',
                  install_path = '',
                  cflags       = [ '-fprofile-arcs', '-ftest-coverage' ])

        # Test program (C)
        obj = bld(features     = 'c cprogram',
                  source       = 'src/ganv_test.c',
                  includes     = ['.', './src'],
                  use          = 'libganv_profiled',
                  lib          = ['gcov'],
                  use_lib      = 'GTK',
                  target       = 'src/ganv_test')

    # Documentation
    autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)

    if bld.is_defined('HAVE_GIR'):
        bld.add_group()

        top_level = (len(bld.stack_path) > 1)
        bld_dir   = os.path.join(out, APPNAME) if top_level else out
        pc_path   = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))

        gir = bld(
            name         = 'ganv-gir',
            source       = ganv_source + bld.path.ant_glob('ganv/*.h'),
            target       = 'Ganv-1.0.gir',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-scanner --warn-all -n Ganv --nsversion=1.0'
            ' --no-libtool ' +
            ('--pkg=%s' % pc_path) +
            (' -I%s' % bld.path.bldpath()) +
            (' -L%s' % bld_dir) +
            ' --library=ganv-1'
            ' --include=GObject-2.0 --include=Gdk-2.0 --include Gtk-2.0'
            ' -o ${TGT} ${SRC}')

        typelib = bld(
            name         = 'ganv-typelib',
            after        = 'ganv-gir',
            source       = 'Ganv-1.0.gir',
            target       = 'Ganv-1.0.typelib',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-compiler ${SRC} -o ${TGT}')

    bld.add_post_fun(autowaf.run_ldconfig)

def test(ctx):
    autowaf.pre_test(ctx, APPNAME)
    autowaf.run_tests(ctx, APPNAME, ['src/ganv_test'], dirs=['./src'])
    autowaf.post_test(ctx, APPNAME)

def i18n(bld):
    autowaf.build_i18n(bld, '..', 'ganv', APPNAME, ganv_source,
                       'David Robillard')

=== debian/changelog ===
ganv (0~svn4142~dfsg0-1ubuntu1) quantal; urgency=low

  * Fix FTBFS because of unexpected gmacros.h inclusion and unexpected gtk.h
    location.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 May 2012 11:27:02 +0400

ganv (0~svn4142~dfsg0-1) unstable; urgency=low

  * Imported upstream snapshot svn4124.
  * Fix Vcs-Browser field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Apr 2012 11:58:54 +0200

ganv (0~svn4103~dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #665805).

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Mar 2012 12:28:29 +0200

=== debian/control ===
Source: ganv
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 gir1.2-gtk-2.0,
 gobject-introspection,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 python
Standards-Version: 3.9.3
Homepage: http://dev.drobilla.net/browser/trunk/ganv
Vcs-Git: git://git.debian.org/git/collab-maint/ganv.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ganv.git

Package: libganv-1-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 Ganv provides classes for "Modules" (boxes with "Ports"), Circles, and
 Edges (lines that connect either Ports or Circles).  The user can rearrange
 items, or Ganv can automatically arrange items using GraphViz.  Edges can
 be made by the user one at a time with the mouse, or in groups using the mouse
 and keyboard.
 .
 This package provides the shared library.

Package: libganv-dev
Section: libdevel
Architecture: any
Depends:
 libganv-1-1 (= ${binary:Version}),
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces (development files)
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 This package provides the development files for the Ganv library.

Package: gir1.2-ganv-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: GObject Introspection data for Ganv
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 This package provides the introspection data for the Ganv library.

## ganv 0~svn4468~dfsg0

=== wscript ===
--- 
+++ 
@@ -151,9 +151,11 @@
     if bld.is_defined('HAVE_GIR'):
         bld.add_group()
 
-        top_level = (len(bld.stack_path) > 1)
-        bld_dir   = os.path.join(out, APPNAME) if top_level else out
-        pc_path   = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))
+        bld_dir = os.path.join(out, APPNAME)
+        if not (len(bld.stack_path) > 1):  # not top-level
+            bld_dir = out
+
+        pc_path = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))
 
         gir = bld(
             name         = 'ganv-gir',
@@ -164,6 +166,7 @@
             ' --no-libtool ' +
             ('--pkg=%s' % pc_path) +
             (' -I%s' % bld.path.bldpath()) +
+            ''.join([' -I' + path for path in bld.env.INCLUDES_GTK]) +
             (' -L%s' % bld_dir) +
             ' --library=ganv-1'
             ' --include=GObject-2.0 --include=Gdk-2.0 --include Gtk-2.0'

=== debian/changelog ===
ganv (0~svn4468~dfsg0-1) unstable; urgency=low

  * New upstream snapshot:
    - Fix issues with Gtk/Glib's header files lookup. (Closes: #674630)
  * Update packages descriptions.
  * Fix SVN commit detection in get-svn-source.sh.
  * Update debian/copyright.
  * Refresh 1001-dont_run_ldconfig.patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 12:26:06 +0200

=== debian/control ===
Source: ganv
Section: libs
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 gir1.2-gtk-2.0,
 gobject-introspection,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 python
Standards-Version: 3.9.3
Homepage: http://dev.drobilla.net/browser/trunk/ganv
Vcs-Git: git://git.debian.org/git/collab-maint/ganv.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ganv.git

Package: libganv-1-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 Ganv provides classes for "Modules" (boxes with "Ports"), Circles,
 and Edges (lines that connect either Ports or Circles).  The user
 can rearrange items, or Ganv can automatically arrange items using
 GraphViz. Edges can be made by the user one at a time with the mouse,
 or in groups using the mouse and keyboard.
 .
 This package provides the shared library.

Package: libganv-dev
Section: libdevel
Architecture: any
Depends:
 libganv-1-1 (= ${binary:Version}),
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces (development files)
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 This package provides the development files for the Ganv library.

Package: gir1.2-ganv-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: GObject Introspection data for Ganv
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 This package provides the introspection data for the Ganv library.

## ganv 0~svn5021~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import waflib.Options as Options
import waflib.extras.autowaf as autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
GANV_VERSION       = '1.2.0'
GANV_MAJOR_VERSION = '1'

# Mandatory waf variables
APPNAME = 'ganv'        # Package name for waf dist
VERSION = GANV_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--no-graphviz', action='store_true', dest='no_graphviz',
                   help='Do not compile with graphviz support')
    opt.add_option('--no-nls', action='store_true', dest='no_nls',
                   help='Disable i18n (native language support)')
    opt.add_option('--gir', action='store_true', dest='gir',
                   help='Build GObject introspection data')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Ganv Configuration')

    conf.env.BUILD_TESTS = Options.options.build_tests

    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK',
                      atleast_version='2.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM',
                      atleast_version='2.10.0', mandatory=True)

    if Options.options.gir:
        autowaf.check_pkg(conf, 'gobject-introspection-1.0',
                          uselib_store='GIR', mandatory=False)

    if not Options.options.no_graphviz:
        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH',
                          atleast_version='2.8', mandatory=False)

    if not Options.options.no_nls:
        autowaf.check_header(conf, 'c', 'libintl.h', 'ENABLE_NLS', mandatory=False)

    conf.env.LIB_GANV = ['ganv-%s' % GANV_MAJOR_VERSION]

    conf.write_config_header('ganv_config.h', remove=False)

    autowaf.display_msg(conf, "Auto-arrange", conf.is_defined('HAVE_AGRAPH'))
    autowaf.display_msg(conf, "Native language support", conf.is_defined('ENABLE_NLS'))
    autowaf.display_msg(conf, "GObject introspection", conf.is_defined('HAVE_GIR'))
    autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
    print('')

ganv_source = [
    'src/Canvas.cpp',
    'src/Port.cpp',
    'src/box.c',
    'src/canvas-base.c',
    'src/circle.c',
    'src/edge.c',
    'src/ganv-marshal.c',
    'src/group.c',
    'src/module.c',
    'src/node.c',
    'src/port.c',
    'src/text.c',
    'src/widget.c'
]

def build(bld):
    # Headers
    includedir = '${INCLUDEDIR}/ganv-%s/ganv' % GANV_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('ganv/*.h*'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'GANV', GANV_VERSION, GANV_MAJOR_VERSION,
                     'AGRAPH GLIBMM ART',
                     {'GANV_MAJOR_VERSION' : GANV_MAJOR_VERSION})

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --header ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.h')

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --body ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.c')

    # Library
    bld(features        = 'c cshlib cxx cxxshlib',
        export_includes = ['.'],
        source          = ganv_source,
        includes        = ['.', './src'],
        name            = 'libganv',
        target          = 'ganv-%s' % GANV_MAJOR_VERSION,
        uselib          = 'GTKMM AGRAPH ART',
        vnum            = GANV_VERSION,
        install_path    = '${LIBDIR}')

    # Benchmark program (C++)
    bld(features     = 'cxx cxxprogram',
        source       = 'src/ganv_bench.cpp',
        includes     = ['.', './src'],
        use          = 'libganv',
        use_lib      = 'GTKMM',
        target       = 'src/ganv_bench')

    if bld.env.BUILD_TESTS:
        # Static library for test program
        bld(features     = 'c cstlib',
            source       = ganv_source,
            includes     = ['.', './src'],
            name         = 'libganv_profiled',
            target       = 'ganv_profiled',
            uselib       = 'GTKMM AGRAPH ART',
            install_path = '',
            cflags       = [ '-fprofile-arcs', '-ftest-coverage' ])

        # Test program (C)
        bld(features     = 'c cprogram',
            source       = 'src/ganv_test.c',
            includes     = ['.', './src'],
            use          = 'libganv_profiled',
            lib          = ['gcov'],
            use_lib      = 'GTK',
            target       = 'src/ganv_test')

    # Documentation
    autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)

    if bld.is_defined('HAVE_GIR'):
        bld.add_group()

        bld_dir = os.path.join(out, APPNAME)
        if not (len(bld.stack_path) > 1):  # not top-level
            bld_dir = out

        pc_path = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))

        bld(name         = 'ganv-gir',
            source       = ganv_source + bld.path.ant_glob('ganv/*.h'),
            target       = 'Ganv-1.0.gir',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-scanner --warn-all -n Ganv --nsversion=1.0'
            ' --no-libtool ' +
            ('--pkg=%s' % pc_path) +
            (' -I%s' % bld.path.bldpath()) +
            ''.join([' -I' + path for path in bld.env.INCLUDES_GTK]) +
            (' -L%s' % bld_dir) +
            ' --library=ganv-1'
            ' --include=GObject-2.0 --include=Gdk-2.0 --include Gtk-2.0'
            ' -o ${TGT} ${SRC}')

        bld(name         = 'ganv-typelib',
            after        = 'ganv-gir',
            source       = 'Ganv-1.0.gir',
            target       = 'Ganv-1.0.typelib',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-compiler ${SRC} -o ${TGT}')

    bld.add_post_fun(autowaf.run_ldconfig)

def test(ctx):
    autowaf.pre_test(ctx, APPNAME)
    autowaf.run_tests(ctx, APPNAME, ['src/ganv_test'], dirs=['./src'])
    autowaf.post_test(ctx, APPNAME)

def i18n(bld):
    autowaf.build_i18n(bld, '..', 'ganv', APPNAME, ganv_source,
                       'David Robillard')

=== debian/changelog ===
ganv (0~svn5021~dfsg0-2ubuntu2) trusty; urgency=medium

  * No change rebuild for new graphviz libs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2014 12:36:38 +0100

ganv (0~svn5021~dfsg0-2ubuntu1) trusty; urgency=low

  * Apply patch from shanipribadi (http://dev.drobilla.net/ticket/888) to
    fix build with libcgraph.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Oct 2013 10:19:22 +0100

ganv (0~svn5021~dfsg0-2build1) trusty; urgency=low

  * Rebuild for graphviz 2.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 23:48:39 +0100

ganv (0~svn5021~dfsg0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 11:00:30 +0100

ganv (0~svn5021~dfsg0-1) experimental; urgency=low

  * New upstream snapshot.
  * Improve repackaging.
  * Refresh 1001-dont_run_ldconfig.patch.
  * Fix Vcs fields.
  * Update Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Feb 2013 10:57:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9),
  gir1.2-gtk-2.0,
@@ -13,10 +14,10 @@
  libgtkmm-2.4-dev,
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://dev.drobilla.net/browser/trunk/ganv
-Vcs-Git: git://git.debian.org/git/collab-maint/ganv.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ganv.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ganv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ganv.git
 
 Package: libganv-1-1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--strict \
		--gir \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp/

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src:debian/libganv-dev/usr/share/gir-1.0

=== debian/watch ===
# Sources are taken from http://svn.drobilla.net/lad/trunk/ganv/

## ganv 1.4.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/env python
 import os
 import waflib.Options as Options
+import waflib.Utils as Utils
 import waflib.extras.autowaf as autowaf
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-GANV_VERSION       = '1.2.0'
+GANV_VERSION       = '1.4.0'
 GANV_MAJOR_VERSION = '1'
 
 # Mandatory waf variables
@@ -24,6 +25,8 @@
                    help='Build unit tests')
     opt.add_option('--no-graphviz', action='store_true', dest='no_graphviz',
                    help='Do not compile with graphviz support')
+    opt.add_option('--no-fdgl', action='store_true', dest='no_fdgl',
+                   help='Use experimental force-directed graph layout')
     opt.add_option('--no-nls', action='store_true', dest='no_nls',
                    help='Disable i18n (native language support)')
     opt.add_option('--gir', action='store_true', dest='gir',
@@ -33,8 +36,8 @@
     conf.load('compiler_c')
     conf.load('compiler_cxx')
     autowaf.configure(conf)
+    autowaf.display_header('Ganv Configuration')
     autowaf.set_c99_mode(conf)
-    autowaf.display_header('Ganv Configuration')
 
     conf.env.BUILD_TESTS = Options.options.build_tests
 
@@ -46,10 +49,18 @@
     if Options.options.gir:
         autowaf.check_pkg(conf, 'gobject-introspection-1.0',
                           uselib_store='GIR', mandatory=False)
+        conf.find_program('g-ir-doc-tool', var='G_IR_DOC_TOOL', mandatory=False)
+        conf.find_program('yelp-build', var='YELP_BUILD', mandatory=False)
 
     if not Options.options.no_graphviz:
-        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH',
-                          atleast_version='2.8', mandatory=False)
+        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH_2_30',
+                          atleast_version='2.30', mandatory=False)
+        if not conf.is_defined('HAVE_AGRAPH_2_30'):
+            autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH_2_20',
+                              atleast_version='2.20', mandatory=False)
+
+    if not Options.options.no_fdgl:
+        autowaf.define(conf, 'GANV_FDGL', 1)
 
     if not Options.options.no_nls:
         autowaf.check_header(conf, 'c', 'libintl.h', 'ENABLE_NLS', mandatory=False)
@@ -58,7 +69,11 @@
 
     conf.write_config_header('ganv_config.h', remove=False)
 
-    autowaf.display_msg(conf, "Auto-arrange", conf.is_defined('HAVE_AGRAPH'))
+    autowaf.display_msg(conf, "Static (Graphviz) arrange",
+                        conf.is_defined('HAVE_AGRAPH_2_20') or
+                        conf.is_defined('HAVE_AGRAPH_2_30'))
+    autowaf.display_msg(conf, "Interactive force-directed arrange",
+                        conf.is_defined('GANV_FDGL'))
     autowaf.display_msg(conf, "Native language support", conf.is_defined('ENABLE_NLS'))
     autowaf.display_msg(conf, "GObject introspection", conf.is_defined('HAVE_GIR'))
     autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
@@ -68,11 +83,11 @@
     'src/Canvas.cpp',
     'src/Port.cpp',
     'src/box.c',
-    'src/canvas-base.c',
     'src/circle.c',
     'src/edge.c',
     'src/ganv-marshal.c',
     'src/group.c',
+    'src/item.c',
     'src/module.c',
     'src/node.c',
     'src/port.c',
@@ -80,6 +95,12 @@
     'src/widget.c'
 ]
 
+def declare_doc_files(task):
+    bld  = task.generator.bld
+    path = bld.path.get_bld().find_or_declare('doc-html')
+    for i in path.ant_glob('*', remove=False):
+        i.sig = Utils.h_file(i.abspath())
+
 def build(bld):
     # Headers
     includedir = '${INCLUDEDIR}/ganv-%s/ganv' % GANV_MAJOR_VERSION
@@ -87,7 +108,7 @@
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'GANV', GANV_VERSION, GANV_MAJOR_VERSION,
-                     'AGRAPH GLIBMM ART',
+                     'GTKMM AGRAPH_2_20 AGRAPH_2_30',
                      {'GANV_MAJOR_VERSION' : GANV_MAJOR_VERSION})
 
     bld(rule = 'glib-genmarshal --prefix=ganv_marshal --header ${SRC} > ${TGT}',
@@ -105,7 +126,7 @@
         includes        = ['.', './src'],
         name            = 'libganv',
         target          = 'ganv-%s' % GANV_MAJOR_VERSION,
-        uselib          = 'GTKMM AGRAPH ART',
+        uselib          = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
         vnum            = GANV_VERSION,
         install_path    = '${LIBDIR}')
 
@@ -114,31 +135,31 @@
         source       = 'src/ganv_bench.cpp',
         includes     = ['.', './src'],
         use          = 'libganv',
-        use_lib      = 'GTKMM',
+        uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
         target       = 'src/ganv_bench')
 
     if bld.env.BUILD_TESTS:
         # Static library for test program
-        bld(features     = 'c cstlib',
+        bld(features     = 'c cstlib cxx cxxshlib',
             source       = ganv_source,
             includes     = ['.', './src'],
             name         = 'libganv_profiled',
             target       = 'ganv_profiled',
-            uselib       = 'GTKMM AGRAPH ART',
+            uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
             install_path = '',
             cflags       = [ '-fprofile-arcs', '-ftest-coverage' ])
 
         # Test program (C)
-        bld(features     = 'c cprogram',
+        bld(features     = 'cxx cxxprogram',
             source       = 'src/ganv_test.c',
             includes     = ['.', './src'],
             use          = 'libganv_profiled',
             lib          = ['gcov'],
-            use_lib      = 'GTK',
+            uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
             target       = 'src/ganv_test')
 
     # Documentation
-    autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)
+    #autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)
 
     if bld.is_defined('HAVE_GIR'):
         bld.add_group()
@@ -170,6 +191,25 @@
             install_path = '${LIBDIR}/girepository-1.0',
             rule         = 'g-ir-compiler ${SRC} -o ${TGT}')
 
+        if bld.env.DOCS and bld.env['G_IR_DOC_TOOL'] and bld.env['YELP_BUILD']:
+            # The source and target files used here aren't exclusive,
+            # but are declared so waf can track dependencies
+            bld(rule   = '${G_IR_DOC_TOOL} --language C -o doc-xml ${SRC}',
+                source = 'Ganv-1.0.gir',
+                target = 'doc-xml/index.page')
+            bld(name   = 'yelp-build',
+                rule   = '${YELP_BUILD} html -o doc-html doc-xml',
+                source = 'doc-xml/index.page',
+                target = 'doc-html/index.html')
+            bld(name   = 'find-docs',
+                always = True,
+                rule   = declare_doc_files,
+                after  = 'yelp-build')
+
+            bld.install_files(
+                os.path.join('${DOCDIR}', 'ganv-0', 'html'),
+                bld.path.get_bld().ant_glob('doc-html/*'))
+
     bld.add_post_fun(autowaf.run_ldconfig)
 
 def test(ctx):

=== debian/changelog ===
ganv (1.4.0~dfsg0-1) unstable; urgency=medium

  * Upstream's stable release.
  * Refresh patches.
  * Add proper repackaging mechanism to unpack waf.
  * Refresh debian/copyright.
  * Install upstream changelog.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 18:20:43 +0100

## ganv 1.4.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-GANV_VERSION       = '1.4.0'
+GANV_VERSION       = '1.4.2'
 GANV_MAJOR_VERSION = '1'
 
 # Mandatory waf variables
@@ -117,6 +117,10 @@
 
     bld(rule = 'glib-genmarshal --prefix=ganv_marshal --body ${SRC} > ${TGT}',
         source = 'src/ganv-marshal.list',
+        target = 'src/ganv-marshal.c.in')
+
+    bld(rule = 'cat ${SRC} > ${TGT}',
+        source = ['src/ganv-marshal.h', 'src/ganv-marshal.c.in'],
         target = 'src/ganv-marshal.c')
 
     # Library

=== debian/changelog ===
ganv (1.4.2~dfsg0-2) unstable; urgency=medium

  * QA upload.

  [ Alessio Treglia ]
  * Orphaning this.

  [ IOhannes m zmölnig ]
  * Refreshed patch
  * Acknowledge NMU for g++5 ABI transition
  * Do not build with '-ansi'
    Thanks to Adrian Bunk <bunk@stusta.de> (Closes: #833969)
  * Multi-Archified package
  * Updated homepage field
  * Use canonical https:// uris for Vcs-* stanzas
  * Bumped standards to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 20:02:28 +0100

ganv (1.4.2~dfsg0-1.1) unstable; urgency=medium

  * Non-maintainer upload for libstdc++ transition (Closes: #791041)

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Aug 2015 11:35:35 +0100

ganv (1.4.2~dfsg0-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Aug 2014 11:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9),
  gir1.2-gtk-2.0,
@@ -13,17 +12,19 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- python
-Standards-Version: 3.9.4
-Homepage: http://dev.drobilla.net/browser/trunk/ganv
-Vcs-Git: git://anonscm.debian.org/collab-maint/ganv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ganv.git
+ python,
+Standards-Version: 3.9.8
+Homepage: http://drobilla.net/software/ganv
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ganv.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ganv.git
 
-Package: libganv-1-1
+Package: libganv-1-1v5
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+Conflicts: libganv-1-1
+Replaces: libganv-1-1
 Description: canvas widget for graph-based interfaces
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -41,14 +42,14 @@
 Section: libdevel
 Architecture: any
 Depends:
- libganv-1-1 (= ${binary:Version}),
+ libganv-1-1v5 (= ${binary:Version}),
  libglib2.0-dev,
  libgraphviz-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: canvas widget for graph-based interfaces (development files)
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -62,7 +63,7 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: GObject Introspection data for Ganv
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
+
+export REPACK_SH=$(CURDIR)/debian/repack.sh
 
 %:
 	dh $@
@@ -9,6 +11,7 @@
 override_dh_auto_configure:
 	$(WAF) configure \
 		--prefix=/usr \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--strict \
 		--gir \
@@ -29,3 +32,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	dh_girepository -l src:debian/libganv-dev/usr/share/gir-1.0
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+get-orig-source:
+	uscan --force-download

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/ganv-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub

## ganv 1.6.0

=== wscript ===
#!/usr/bin/env python

import os

from waflib import Options, Utils
from waflib.extras import autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
GANV_VERSION       = '1.6.0'
GANV_MAJOR_VERSION = '1'

# Mandatory waf variables
APPNAME = 'ganv'        # Package name for waf dist
VERSION = GANV_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/ganv'
dist_pattern = 'http://download.drobilla.net/ganv-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'Ganv']


def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    ctx.add_flags(
        ctx.configuration_options(),
        {'no-graphviz': 'do not compile with graphviz support',
         'light-theme': 'use light coloured theme',
         'no-fdgl': 'use experimental force-directed graph layout',
         'no-nls': 'disable i18n (native language support)',
         'gir': 'build GObject introspection data'})

def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('compiler_cxx', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.check_pkg('gtk+-2.0', uselib_store='GTK', system=True)
    conf.check_pkg('gtkmm-2.4 >= 2.10.0', uselib_store='GTKMM', system=True)

    if Options.options.gir:
        conf.check_pkg('gobject-introspection-1.0',
                       uselib_store='GIR',
                       mandatory=False)
        conf.find_program('g-ir-doc-tool', var='G_IR_DOC_TOOL', mandatory=False)
        conf.find_program('yelp-build', var='YELP_BUILD', mandatory=False)

    if not Options.options.no_graphviz:
        conf.check_pkg('libgvc',
                       uselib_store='AGRAPH',
                       system=True,
                       mandatory=False)
        if conf.env.HAVE_AGRAPH:
            conf.define('HAVE_AGRAPH', 1)

    if not Options.options.no_fdgl:
        conf.define('GANV_FDGL', 1)

    if Options.options.light_theme:
        conf.define('GANV_USE_LIGHT_THEME', 1)

    if not Options.options.no_nls:
        conf.check_function('cxx',  'dgettext',
                            header_name = 'libintl.h',
                            lib         = 'intl',
                            define_name = 'ENABLE_NLS',
                            mandatory   = False)

    autowaf.set_lib_env(conf, 'ganv', GANV_VERSION)
    conf.write_config_header('ganv_config.h', remove=False)

    autowaf.display_summary(
        conf,
        {'Static (Graphviz) arrange': bool(conf.env.HAVE_AGRAPH),
         'Interactive force-directed arrange': conf.is_defined('GANV_FDGL'),
         'Native language support': bool(conf.env.ENABLE_NLS),
         'GObject introspection': bool(conf.env.HAVE_GIR),
         'Unit tests': bool(conf.env.BUILD_TESTS)})

ganv_source = [
    'src/Canvas.cpp',
    'src/Port.cpp',
    'src/box.c',
    'src/circle.c',
    'src/edge.c',
    'src/ganv-marshal.c',
    'src/group.c',
    'src/item.c',
    'src/module.c',
    'src/node.c',
    'src/port.c',
    'src/text.c',
    'src/widget.c'
]

def declare_doc_files(task):
    bld  = task.generator.bld
    path = bld.path.get_bld().find_or_declare('doc-html')
    for i in path.ant_glob('*', remove=False):
        i.sig = Utils.h_file(i.abspath())

def build(bld):
    # Headers
    includedir = '${INCLUDEDIR}/ganv-%s/ganv' % GANV_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('ganv/*.h*'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'GANV', GANV_VERSION, GANV_MAJOR_VERSION,
                     'GTKMM AGRAPH',
                     {'GANV_MAJOR_VERSION' : GANV_MAJOR_VERSION})

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --header ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.h')

    bld(rule = 'glib-genmarshal --prefix=ganv_marshal --body ${SRC} > ${TGT}',
        source = 'src/ganv-marshal.list',
        target = 'src/ganv-marshal.c.in')

    bld(rule = 'cat ${SRC} > ${TGT}',
        source = ['src/ganv-marshal.h', 'src/ganv-marshal.c.in'],
        target = 'src/ganv-marshal.c')

    # Library
    lib = bld(features        = 'c cshlib cxx cxxshlib',
              export_includes = ['.'],
              source          = ganv_source,
              includes        = ['.', './src'],
              name            = 'libganv',
              target          = 'ganv-%s' % GANV_MAJOR_VERSION,
              uselib          = 'GTKMM AGRAPH',
              vnum            = GANV_VERSION,
              install_path    = '${LIBDIR}')
    if bld.is_defined('ENABLE_NLS'):
        lib.lib = ['intl']

    # Benchmark program (C++)
    bld(features     = 'cxx cxxprogram',
        source       = 'src/ganv_bench.cpp',
        includes     = ['.', './src'],
        use          = 'libganv',
        uselib       = 'GTKMM AGRAPH',
        target       = 'src/ganv_bench')

    if bld.env.BUILD_TESTS:
        test_libs   = []
        test_cflags = ['']
        test_linkflags  = ['']
        if not bld.env.NO_COVERAGE:
            test_cflags    += ['--coverage']
            test_linkflags += ['--coverage']

        # Static library for test program
        bld(features     = 'c cstlib cxx cxxshlib',
            source       = ganv_source,
            includes     = ['.', './src'],
            name         = 'libganv_profiled',
            target       = 'ganv_profiled',
            uselib       = 'GTKMM AGRAPH',
            install_path = '',
            cflags       = test_cflags,
            linkflags    = test_linkflags)

        # Test program (C)
        bld(features     = 'cxx cxxprogram',
            source       = 'src/ganv_test.c',
            includes     = ['.', './src'],
            use          = 'libganv_profiled',
            lib          = test_libs,
            uselib       = 'GTKMM AGRAPH',
            target       = 'src/ganv_test',
            cflags       = test_cflags,
            linkflags    = test_linkflags)

    # Documentation
    #autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)

    if bld.env.HAVE_GIR:
        bld.add_group()

        bld_dir = os.path.join(out, APPNAME)
        if not (len(bld.stack_path) > 1):  # not top-level
            bld_dir = out

        pc_path = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))

        bld(name         = 'ganv-gir',
            source       = ganv_source + bld.path.ant_glob('ganv/*.h'),
            target       = 'Ganv-1.0.gir',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-scanner --warn-all -n Ganv --nsversion=1.0'
            ' --no-libtool ' +
            ('--pkg=%s' % pc_path) +
            (' -I%s' % bld.path.bldpath()) +
            ''.join([' -I' + path for path in bld.env.INCLUDES_GTK]) +
            (' -L%s' % bld_dir) +
            ' --library=ganv-1'
            ' --include=GObject-2.0 --include=Gdk-2.0 --include Gtk-2.0'
            ' -o ${TGT} ${SRC}')

        bld(name         = 'ganv-typelib',
            after        = 'ganv-gir',
            source       = 'Ganv-1.0.gir',
            target       = 'Ganv-1.0.typelib',
            install_path = '${LIBDIR}/girepository-1.0',
            rule         = 'g-ir-compiler ${SRC} -o ${TGT}')

        if bld.env.DOCS and bld.env['G_IR_DOC_TOOL'] and bld.env['YELP_BUILD']:
            # The source and target files used here aren't exclusive,
            # but are declared so waf can track dependencies
            bld(rule   = '${G_IR_DOC_TOOL} --language C -o doc-xml ${SRC}',
                source = 'Ganv-1.0.gir',
                target = 'doc-xml/index.page')
            bld(name   = 'yelp-build',
                rule   = '${YELP_BUILD} html -o doc-html doc-xml',
                source = 'doc-xml/index.page',
                target = 'doc-html/index.html')
            bld(name   = 'find-docs',
                always = True,
                rule   = declare_doc_files,
                after  = 'yelp-build')

            bld.install_files(
                os.path.join('${DOCDIR}', 'ganv-0', 'html'),
                bld.path.get_bld().ant_glob('doc-html/*'))

    bld.add_post_fun(autowaf.run_ldconfig)

def i18n(bld):
    autowaf.build_i18n(bld, '..', 'ganv', APPNAME, ganv_source,
                       'David Robillard')

=== debian/changelog ===
ganv (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refresh patchset
  * Use dh-compat instead of d/compat and bump to 13
  * d/control:
    + Bump S-V to 4.5.0
    + Change Maintainer to Debian Multimedia Maintainers
    + Add me as uploader (Closes: #814941)
    + Use https for the homepage
    + Change Vcs-* to salsa
    + Set RRR: no
    + Add gir1.2-ganv-1.0 as Depends to libganv-dev
    + Mark libganv-1-1v5 and gir1.2-ganv-1.0 as Multi-Arch: same
    + Remove ${shlibs:Depends} from gir1.2-ganv-1.0 and libganv-dev
  * d/coypright:
    + Use https for all urls
    + Change source to gitlab
    + Update year
    + Add me to the d/section
  * Add ganv_bench to d/not-installed
  * d/rules:
    + Add hardening
    + Remove obsolete get-orig-source, and LDFLAGS, REPACK_SH export
  * Add d/upstream/signing-key.asc and update d/watch
  * Add d/upstream/metadata
  * Remove obsolete debian files

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 04 May 2020 19:47:32 +0200

ganv (1.4.2~dfsg0-3) unstable; urgency=medium

  * QA upload.
  * Upgrade waf
  * Use python3 to run waf. Closes: #943090

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 01:17:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  gir1.2-gtk-2.0,
  gobject-introspection,
  libgirepository1.0-dev,
@@ -12,14 +13,16 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- python,
-Standards-Version: 3.9.8
-Homepage: http://drobilla.net/software/ganv
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ganv.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ganv.git
+ python3,
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/ganv
+Vcs-Git: https://salsa.debian.org/multimedia-team/ganv.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ganv
+Rules-Requires-Root: no
 
 Package: libganv-1-1v5
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -43,13 +46,13 @@
 Architecture: any
 Depends:
  libganv-1-1v5 (= ${binary:Version}),
+ gir1.2-ganv-1.0 (= ${binary:Version}),
  libglib2.0-dev,
  libgraphviz-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- ${misc:Depends},
- ${shlibs:Depends},
+ ${misc:Depends}
 Description: canvas widget for graph-based interfaces (development files)
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -60,10 +63,10 @@
 Package: gir1.2-ganv-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  ${gir:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
+ ${misc:Depends}
 Description: GObject Introspection data for Ganv
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/,uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/ganv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
